using System;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.ServiceModel.Configuration;

namespace PersonalServiceExtensions
{
    public class CustomBinding : BasicHttpBinding
    {
        #region BasicHttpBinding
        public override BindingElementCollection CreateBindingElements()
        {
            Console.WriteLine("CreateBindingElements is called");
            var result = base.CreateBindingElements();
            result.Insert(0, new CustomBindingElement());
            return result;
        }

        public override string Scheme
        {
            get
            {
                Console.WriteLine("Scheme is called");
                return base.Scheme;
            }
        }
        #endregion
    }
}
